SettingsWidget(3)

NAME
SettingsWidget - The SettingsWidget is used to to display and alter Settings.

SYNOPSIS

#include <settingswidget.h>

Inherits QWidget.

  Public Types
enum SettingSignal { LogbookWidget, HomeWidget, AircraftWidget, PilotsWidget }
enumerates Widgets that need to receive a signal when a setting is updated.

  Signals
void settingChanged (SettingSignal widget)
settingChanged is emitted when a setting change occurs that needs to trigger an update (repaint) to another widget.

  Public Member Functions
SettingsWidget (QWidget *parent=nullptr)

  Protected Member Functions
void changeEvent (QEvent *event) override
Handles change events, like updating the UI to new localisation.

Detailed Description

The SettingsWidget is used to to display and alter Settings. Most Inputs are collected and processed in various slots and written to the settings file via the ASettings class. In the Personal Settings tab, the user can edit his personal details, which are then written to the Database (The Logbook owner is registered in the Pilots Database with pilot_id = 1).

Author

Generated automatically by Doxygen for openPilotLog from the source code.